Package org.xnio.management

# Interface XnioServerMXBean

public interface XnioServerMXBean

Author:
  David M. Lloyd

## Method Summary

Modifier and Type
Method
Description
`String`
`getBindAddress()`
Get the bind address.
`int`
`getConnectionCount()`
Get an estimate of the current connection count.
`int`
`getConnectionLimitHighWater()`
Get the connection limit high-water mark.
`int`
`getConnectionLimitLowWater()`
Get the connection limit low-water mark.
`String`
`getProviderName()`
Get the name of the provider.
`String`
`getWorkerName()`
Get the worker's name.

## Method Details

### getProviderName

String getProviderName()
Get the name of the provider.

Returns:
  the name of the provider

### getWorkerName

String getWorkerName()
Get the worker's name.

Returns:
  the worker's name

### getBindAddress

String getBindAddress()
Get the bind address. The address is converted into a readable string form.

Returns:
  the bind address

### getConnectionCount

int getConnectionCount()
Get an estimate of the current connection count.

Returns:
  an estimate of the current connection count

### getConnectionLimitHighWater

int getConnectionLimitHighWater()
Get the connection limit high-water mark. If the connection count hits this number, no new connections will be accepted until the count drops below the low-water mark.

Returns:
  the connection limit high-water mark

### getConnectionLimitLowWater

int getConnectionLimitLowWater()
Get the connection limit low-water mark. If the connection count has previously hit the high water mark, once it drops back down below this count, connections will be accepted again.

Returns:
  the connection limit low-water mark